Bug 1741039 - [4.1] Storage-admin can get but not describe pvc from other's project
Summary: [4.1] Storage-admin can get but not describe pvc from other's project
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.z
Assignee: Christian Huffman
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On: 1727266
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-14 06:34 UTC by Liang Xia
Modified: 2019-08-28 19:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1727266
Environment:
Last Closed: 2019-08-28 19:55:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2547 None None None 2019-08-28 19:55:07 UTC
Github openshift origin pull 23618 None None None 2019-08-16 17:34:03 UTC

Comment 1 Christian Huffman 2019-08-16 17:34:52 UTC
I've submitted a PR [1] which should address this in OCP 4.1.

[1] https://github.com/openshift/origin/pull/23618

Comment 3 Chao Yang 2019-08-23 08:34:38 UTC
Verified with 4.1.0-0.nightly-2019-08-22-165647.
1.Create pvc with one user
2.Grant storage-admin role to another user
3.oc describe pvc by the second user

Comment 5 errata-xmlrpc 2019-08-28 19:55:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2547


Note You need to log in before you can comment on or make changes to this bug.